<div class="sgcontainer">
	<?php include_once('headerMenu.php') ;?>
     <div id="avanak-content" class="sgrow">
        <div class="setting-page">
			<div class="box">
				<h2 class="hndle"><span class="yekan">بارگذاری فایل جدید</span></h2>
				<div class="inside">
					<div class="main">
						<form id="AvanakUploadForm" method="post" action="/wp-admin/admin-ajax.php" class="validate rtl">
							<table>
								<tbody>
									<tr>
										<td>
											<div class="form-field term-slug-wrap clearfix">
												<label for="title">نام فایل</label>
												<input name="title" id="title" value="" size="80" type="text" class="rtl">
											</div>
										</td>
										<td>
											<div class="form-field term-slug-wrap clearfix">
												<label for="presist">ماندگار</label>
												<input name="presist" id="presist"  type="checkbox" class="rtl">
											</div>
										</td>
										<td>
											<div class="form-field term-slug-wrap clearfix">
												<label for="file">فایل</label>
												<input name="file" id="file" type="file">
											</div>
										</td>
										<td>
											<div class="form-field term-slug-wrap clearfix">
												<label for="title">&nbsp;</label>
												<button class="button-primary yekan text-normal pull-left">ذخیره</button>
											</div>
										</td>
									</tr>
								</tbody>
							</table>
							<input type="hidden" name="action" value="avanak_callcound_file_upload">
						</form>
						<div class="userStatusPlace yekan"></div>
						<p class="yekan text-center" style="font-size: 14px">برای اضافه کردن فایل صوتی جدید کافی است آنرا در محل فایل آدرس دهی کنید</p>
						<p class="yekan text-center" style="font-size: 14px">حداکثر اندازه فایل ۵ مگابایت می باشد و فایل باید با فرمت wav بارگذاری شود</p>
					</div>
				</div>
			</div>

			<div class="box">
				<h2 class="hndle">
					<span class="yekan" onclick="avanakFileList()">لیست فایل های سیستم</span>
					<span style="float:left;font-weight: normal">
						<!--<select id="file_type">
							<option value="1">فایل های دائمی</option>
							<option value="2">کلیه فایل ها</option>
						</select>-->
						<span class="button-primary yekan text-normal pull-left" onclick="avanakFileList(1)">نمایش</span>
					</span>
				</h2>
				<div class="inside">
					<div class="main">
						<div id="fileManager" class="sh" style="height:500px"></div>
					</div>
				</div>
			</div>
		</div>
    </div>
</div>
<div id="dialog-avanak"></div>
<script>
    window.onload = function () {
        avanakFileList(1);
		const maxAllowedSizeSound = 5 * 1024 * 1024;
        $('#AvanakUploadForm').ajaxForm({
			beforeSubmit: function(arr, $form, options) {
				if($("#file")[0].files[0].size > maxAllowedSizeSound){
					console.log('Not Allow');
					cm("خطا", 'حجم فایل غیرمجاز است');
					return false;
				}else{

				}
			},
            success: function (d) {
                
                if (d > 1) {
                    cm('ذخیره موفق', 'پیام شما با موفقیت ذخیره شد، برای استفاده از آن به ارسال پیام سریع مراجعه کنید');
                    avanakFileList();
                } else {
                    cm("خطا", d);
                }
            },
			error:function(e){
				cm("خطا", 'خطا در دریافت اطلاعات مجدد تلاش کنید');
			}
        });
        $("#file_type").on('change', function(){  
        });
    };
    function avanakFileList(i) {
        $("#fileManager").html('<p class="text-center yekan" style="font-size:12px;color:blue">در حال بارگذاری</p>');
        $.ajax({
            type: "POST",
            url: "/wp-admin/admin-ajax.php",
            data: {action: 'avanak_callcound_file_list', cpage: i, file_type: $("#file_type option:selected").val()},
            success: function (d) {
                $("#fileManager").html(d);
            }
        });
    }
    function playSong(i) {
        $("#dialog-avanak").html('<audio controls="" preload="none"><source src="' + i + '" type="audio/wav">مرورگر شما از پخش صدا پشتیبانی نمی کند</audio>');
        $("#dialog-avanak").dialog({
            resizable: false,
            height: "auto",
            width: "auto",
            title: 'پخش فایل صوتی',
            dialogClass: "alert",
            modal: true,
            buttons: [{
                    text: "بستن",
                    click: function () {
                        $(this).dialog("close");
                        $.each($('audio'), function () {
                            this.pause();
                        });
                    }
                }]
        });
        $("#dialog-avanak").closest('.ui-dialog').find('.ui-dialog-titlebar-close').hide();
        $.each($('audio'), function () {
            this.play();
        });
    }
    function delSong(i) {
        cm('تایید حذف', '<p>آیا از حذف این فایل اطمینان دارید؟</p><p><span class="button button-secondary" onclick="delSongConfirm(' + i + ')">حذف</span></p>');
    }
    function delSongConfirm(i) {
        $.ajax({
            type: "POST",
            url: "/wp-admin/admin-ajax.php",
            data: {action: 'avanak_callcound_file_delete', file_id: i},
            success: function (d) {
                $("#dialog-avanak").dialog('close');
                if (d == 'ok') {
                    avanakFileList();
                } else {
                    cm('خطا', d);
                }
            }
        });
    }
    function quickSendModal(i) {
        var a = '<form id="quicksendform">\n\
                    <table class="table table-condensed">\n\
                        <tbody>\n\
                            <tr>\n\
                                <td>\n\
                                    <label for="username">شماره</label>\n\
                                    <input name="number" id="number" size="80" type="text" class="ltr">\n\
                                </td>\n\
                                <td hidden>\n\
                                    <label for="username">سرور</label>\n\
                                    <select name="server">\n\
                                        <option value="0">هوشمند</option>\n\
                                    </select>\n\
                                </td>\n\
                                <td>\n\
                                    <span onclick="quicksend()" class="button-primary yekan text-normal pull-left">ارسال</span>\n\
                                </td>\n\
                            </tr>\n\
                        </tbody>\n\
                    </table>\n\
                    <input type="hidden" name="action" value="avanak_callcound_quicksend">\n\
                    <input type="hidden" name="message_id" value="' + i + '">\n\
                </form>';
        cm('ارسال سریع', a);
    }
    function quicksend(i) {
        if (checkMobileNumber($("#number").val())) {
            $.ajax({
                type: "POST",
                url: "/wp-admin/admin-ajax.php",
                data: $("#quicksendform").serialize(),
                success: function (d) {
                    if (d == 'ok') {
                        $("#dialog-avanak").dialog('close');
                        cm('نتیجه ارسال سریع', 'پیام شما با موفقیت ارسال شد');
                    } else {
                        cm('نتیجه ارسال سریع', d);
                    }
                }
            });
        } else {
            cm('خطا', 'لطفا شماره موبایل را به صورت صحیح وارد کنید');
        }
    }
</script>